package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaHistoryTypeDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaHistoryType;
import com.loafle.overflow.service.central.meta.MetaHistoryTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */

@Service("MetaHistoryTypeService")
public class CentralMetaHistoryTypeService implements MetaHistoryTypeService {

  @Autowired
  private MetaHistoryTypeDAO metaHistoryTypeDAO;

  public MetaHistoryType regist(MetaHistoryType type) throws OverflowException {
    return this.metaHistoryTypeDAO.save(type);
  }

  @Override
  public MetaHistoryType readByKey(String key) throws OverflowException {
    return this.metaHistoryTypeDAO.findByKey(key);
  }

  @Override
  public List<MetaHistoryType> readAll() throws OverflowException {
    return this.metaHistoryTypeDAO.findAll();
  }

  @Override
  public List<MetaHistoryType> registAll(List<MetaHistoryType> metaHistoryTypes) throws OverflowException {
    return (List<MetaHistoryType>) this.metaHistoryTypeDAO.saveAll(metaHistoryTypes);
  }
}
